Buying Group Agent API
The Buying Group API helps identify and retrieve contacts who are most likely part of a company’s buying committee for a given product or service. This allows users to target the right decision-makers and influencers within an account.
Endpoint Details
- URL: https://api.smarte.pro/v1/buying-group
- Method: POST
Input Parameters
Required Headers
| Header | Value Type | Required | Description |
|---|---|---|---|
| Api-key | string | Yes | API key |
Content-Type | string | Yes | Must be application/json |
Request Body Parameters
| Request Parameter | Value Type | Required | Description |
|---|---|---|---|
| recordId | String | No | User-provided record ID that will returned in the response to correlate requests with their results. |
| companyGuid | String | No | SMARTe unique company identifier used to search and identify the buying group |
| companyName | String | No | Name of the company used to search and identify the buying group |
| companyWebsite | String | No | Website of the company used to search and identify the buying group |
| companyLinkedinUrl | String | No | Linkedin Url of the company used to search and identify the buying group |
| pageNo | Number | No | The page number of results to retrieve. Defaults to the first page if not provided. |
| pageSize | Number | No | The number of results to return per page. Defaults to 20 if not provided. Maximum 100 results can be retrieved per page. |
At least one of the company fields is require to identify buying group.
Output Parameters
| Response Parameter | Value Type | Description |
|---|---|---|
| recordId | String | Unique ID provided by the user, echoed in the response to link input and output. |
| compGUID | String | SMARTe unique company identifier. |
| compName | String | Name of the company. |
| compWebsite | String | Website of the company. |
| totalPages | Number | Total number of pages available for the result set. |
| totalCount | Number | Total number of records available across all pages. |
| pageNo | Number | Current page number of the response. |
| pageSize | Number | Number of results returned per page. |
| transactionId | String | Unique ID for this transaction/request. |
| buyingGroup | List | List containing the identified buying group members. |
| conGUID | String | SMARTe unique identifier for the contact. |
| conJobTitle | String | Job title of the contact. |
| conLevels | String | Seniority/level of the contact (e.g., Manager, Director, VP). |
| conFunctions | String | Primary business functions of the contact (e.g., IT, Marketing). |
| conSubFunctions | String | Sub-functions or specialization within the primary function. |
| conWorkLocCountry | String | Country of the contact’s work location. |
Sample
Request
curl --location 'https://api.smarte.pro/v1/buying-group' \
--header 'apikey: 76df567e-xxxx-xxxx-xxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"companyName": "SMARTe",
"pageNo": 1,
"pageSize": 10
}'
Success Response
{
"recordId": "rec-001",
"compName": "SMARTe",
"compWebsite": "smarte.pro",
"totalPages": 1,
"totalCount": 6,
"pageNo": 1,
"pageSize": 20,
"transactionId": "5bd0af24-cdd5-4a0c-9ff8-d448e0338a96-739",
"buyingGroup": [
{
"conGUID": "E7014C21521A8EE7D17EF938E546B7FF",
"conJobTitle": "VP Sales - Global SaaS Platform (Data/Analytics/Insight)",
"conLevels": "VP",
"conFunctions": "Sales",
"conSubFunctions": "International/Global",
"conWorkLocCountry": "India"
},
{
"conGUID": "B8604FA84E0D71AE619736E75AA283C8",
"conJobTitle": "Sr Manager, Marketing Campaigns",
"conLevels": "Manager",
"conFunctions": "Marketing",
"conSubFunctions": "Campaign",
"conWorkLocCountry": "India"
},
{
"conGUID": "8E09D35EB78F5492AC6B6AC59AFA8698",
"conJobTitle": "Head of Growth Marketing",
"conLevels": "Head",
"conFunctions": "Marketing",
"conSubFunctions": "Marketing - Generic",
"conWorkLocCountry": "India"
},
{
"conGUID": "C1D433DD2965654C018AB748C61388CC",
"conJobTitle": "SVP Products & Growth",
"conLevels": "VP",
"conFunctions": "Marketing",
"conSubFunctions": "Marketing - Generic",
"conWorkLocCountry": "United States"
},
{
"conGUID": "1C902AF33024D9C94AF67C2BD992460B",
"conJobTitle": "Associate Director Of Sales",
"conLevels": "Director",
"conFunctions": "Sales",
"conSubFunctions": "Sales - Generic",
"conWorkLocCountry": "India"
},
{
"conGUID": "5F97AA33D5FA1922D3BF6490D6CF4ACA",
"conJobTitle": "Senior Sales Manager",
"conLevels": "Manager",
"conFunctions": "Sales",
"conSubFunctions": "Sales - Generic",
"conWorkLocCountry": "United States"
}
]
}Updated 13 days ago
What’s Next
